from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XTableChart(XInterface, Protocol):
    def getHasColumnHeaders(self) -> bool: ...
    def setHasColumnHeaders(self, bHasColumnHeaders: bool) -> None: ...
    def getHasRowHeaders(self) -> bool: ...
    def setHasRowHeaders(self, bHasRowHeaders: bool) -> None: ...
    def getRanges(self) -> list[CellRangeAddress]: ...
    def setRanges(self, aRanges: CellRangeAddress>) -> None: ...
